body {
    background-color: #ffd833;
}

.container {
    max-width: 750px;
    margin: 0 auto;
    width: 7.5rem;
}

img {
    display: block;
    max-width: 100%;
}

button {
    background-color: transparent;
    border: none;
    cursor: pointer;
    padding: 0;
    margin: 0;
}

header {
    padding-top: 0.64rem;
}

.arrow {
    width: .2rem;
    height: auto;
    margin: .16rem auto;
}

header .header-text {
    font-size: .24rem;
    font-family: "MiSans Arabic";
    color: rgb(34, 34, 34);
    line-height: 1.25;
    width: 4.18rem;
    text-align: center;
    margin: 0 auto .4rem;
}

.header-info {
    display: flex;
    gap: .3rem;
    justify-content: center;
    margin-top: 0.52rem;
}

.header-info-icon {
    width: 1.76rem;
    height: 1.76rem;
}

.header-info-content {
    display: flex;
    flex-direction: column;
    gap: .37rem;
}

.header-info-name {
    display: flex;
    flex-direction: column;
}

.header-info-name p {
    font-size: .24rem;
    font-family: "MiSans Arabic";
    color: rgb(34, 34, 34);
    font-weight: bold;
}

.header-info-name p:last-child {
    font-size: .16rem;
    font-family: "MiSans Arabic";
    color: rgb(34, 34, 34);
    font-weight: bold;
}

.header-info-content .header-text {
    text-align: right;
}

main {
    border-radius: .3rem;
    background-color: rgb(255, 255, 255);
    width: 7.1rem;
    min-height: 9.8rem;
    margin: 0 auto .75rem;
    padding: .47rem .2rem;
    box-sizing: border-box;
}

.switch {
    border-width: .02rem;
    border-color: rgb(153, 153, 153);
    border-style: solid;
    background-image: -moz-linear-gradient(90deg, rgb(255, 255, 255) 0%, rgb(3, 0, 0) 100%);
    background-image: -webkit-linear-gradient(90deg, rgb(255, 255, 255) 0%, rgb(186 184 184) 100%);
    background-image: -ms-linear-gradient(90deg, rgb(255, 255, 255) 0%, rgb(3, 0, 0) 100%);
    width: 5.78rem;
    height: .88rem;
    margin: 0 auto .4rem;
    border-radius: 99rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    overflow: hidden;
}

.switch-tab {
    font-size: .3rem;
    font-family: "MiSans Arabic";
    color: rgb(34, 34, 34);
    align-items: center;
    flex: 1;
    text-align: center;
    height: 100%;
}

.switch-tab1-active {
    color: rgb(255, 255, 255);
    font-weight: bold;
    text-shadow: 0px .02rem .02rem rgba(0, 0, 0, 0.25);
    background-color: #ce0a0a;
}

.switch-tab2-active {
    background-color: #237a2b;
    color: rgb(255, 255, 255);
    font-weight: bold;
    text-shadow: 0px .02rem .02rem rgba(0, 0, 0, 0.25);
}

.ranking-list {
    display: flex;
    flex-direction: column;
}

.ranking-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: .18rem 0;
    gap: .18rem;
    border-bottom: .01rem dashed rgb(204, 204, 204);
}

.ranking-item-number {
    width: .4rem;
    height: auto;
}

.ranking-item-logo {
    width: 2.2rem;
    height: auto;
}

.ranking-item-info {
    display: flex;
    flex-direction: column;
    font-size: .24rem;
    color: rgb(34, 34, 34);
    font-weight: bold;
    text-align: right;
}

.ranking-item-info-text {
    font-size: 0.16rem;
    color: #999999;
}

@property --per {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 0%;
}

@property --target-per {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 0%;
}

.ranking-item-score {
    --ring-width: 0.08rem;
    --ring-color: #ff5a1f;
    width: 1.2rem;
    height: 1.2rem;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: .33rem;
    font-weight: 700;
    color: rgb(3, 32, 68);
    border-radius: 50%;
    background:
        conic-gradient(var(--ring-color) 0 var(--per), #e9e9e9 var(--per) 100%);
    animation: fill-border 1s ease-in-out forwards;
    flex: none;
}

.ranking-item-score::before {
    content: '';
    position: absolute;
    inset: var(--ring-width);
    background: #fff;
    border-radius: 50%;
}

.ranking-item-score p {
    position: relative;
    z-index: 1;
    margin: 0;
}

@keyframes fill-border {
    from {
        --per: 0%;
    }

    to {
        --per: var(--target-per);
    }
}

footer h2 {
    font-size: .3rem;
    font-family: "MiSans Arabic";
    color: rgb(3, 32, 68);
    font-weight: bold;
    line-height: 1.2;
    text-align: center;
    margin-bottom: 0.3rem;
}

footer p {
    font-size: .24rem;
    font-family: "MiSans Arabic";
    color: rgb(3, 32, 68);
    line-height: 1.25;
    text-align: center;
    margin-bottom: 0.3rem;
}

.search {
    width: 6.08rem;
    height: .99rem;
    margin: 0 auto .3rem;
    background-image: url(../images/search.png);
    background-size: 100%;
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.search input {
    background-color: transparent;
    border: none;
    outline: none;
    width: 60%;
    height: 100%;
    text-align: center;
    font-size: .24rem;
    color: rgb(3, 32, 68);
    font-weight: bold;
}

.search button {
    width: 1.3rem;
    height: 100%;
    position: absolute;
    right: 0;
    top: 0;
    background-color: transparent;
    border: none;
    outline: none;
}

.download-box {
    position: relative;
}

.download {
    width: 6.08rem;
    height: auto;
    margin: auto;
}

.download-box p {
    font-size: .24rem;
    font-family: "MiSans Arabic";
    line-height: 1.25;
    text-align: center;
    position: absolute;
    left: 50%;
    top: 46%;
    transform: translate(-50%, -50%);
    font-weight: bold;
    color: rgb(255, 255, 255);
}

.footer-img {
    margin-top: -1.2rem;
    z-index: -1;
    pointer-events: none;
    position: relative;
}